/*****************************************************************************
 * cosename.h - CPKOS Error Code Names
 *****************************************************************************/

/*****************************************************************************
 *                         PROPRIETARY NOTICE
 *
 *  (c)Copyright 1988-2009 Dialogic Corporation.  All Rights Reserved
 *
 *  The following is licensed program material and is considered
 *  proprietary and confidential.  No part of this program may be
 *  reproduced or used in any form or by any means without the express
 *  written permission of Dialogic Corporation.
 *****************************************************************************/

#ifndef _COSENAME_H
#define _COSENAME_H

/*****************************************************************************
 * Error code definitions
 *****************************************************************************/

CMD_CCODE cosename[] =
{
    { 0x00001B58L, "CPI_INVALID_HANDLE_PASSED",     "Invalid handle provided" },
    { 0x00001B59L, "CPI_INVALID_CHANNEL",           "Channel number out of range" },
    { 0x00001B5AL, "CPI_INVALID_BOARD",             "Unable to open connection to board" },
    { 0x00001B5BL, "CPI_INVALID_MODE",              "Invalid operation for channel mode" },
    { 0x00001B5CL, "CPI_LENGTHS_DONT_MATCH",        "Mismatch on length verification" },
    { 0x00001B5DL, "CPI_NO_OPEN_HANDLES",           "No channels available (all in use)" },
    { 0x00001B5EL, "CPI_INSUFFICIENT_BUFFER_SIZE",  "Buffer too small for RX msg" },
    { 0x00001B5FL, "CPI_CHANNEL_IN_USE",            "Channel already in use" },
    { 0x00001B60L, "CPI_CHANREG_FAIL",              "Failure while registering channel" },
    { 0x00001B61L, "CPI_CHANDEREG_FAIL",            "Unable to deregister channel" },
    { 0x00001B62L, "CPI_NO_MEMORY",                 "Insufficient memory to complete request" },
    { 0x00001B63L, "CPI_UNSUPPORTED_OPER",          "Unsupported operation" },
    { 0x00001B64L, "CPI_TOO_BIG",                   "Buffer size is too large for request" },
    { 0x00001B65L, "CPI_NOT_READY",                 "Interface not ready for operation" },
    { 0x00001B66L, "CPI_INVALID_OFFSET",            "Provided offset out of range" },
    { 0x00001B67L, "CPI_NOT_BOOT",                  "TX board has not been booted" },
    { 0x00001B68L, "CPI_NOT_LOADING",               "TX board not currently in loading state" },
    { 0x00001B69L, "CPI_INVALID_BOOT_SIZE",         "Bootstrap code size is invalid" },
    { 0x00001B6AL, "CPI_INVALID_LED",               "Invalid LED value requested" },
    { 0x00001B6BL, "CPI_READ_TIMEOUT",              "Read operation has timed out" },
    { 0x00001B6CL, "CPI_QUEUE_FULL",                "Channel queue is currently full" },
    { 0x00001B6DL, "CPI_CHANNEL_STATE",             "Channel in invalid state for request" },
    { 0x00001B6EL, "CPI_INVALID_ARGUMENT",          "Invalid argument provided in request" },
    { 0x00001B6FL, "CPI_BOARD_STATE",               "TX board in invalid state for request" },
    { 0x00001B70L, "CPI_INVALID_DATA",              "An unsupported data type was requested" },
    { 0x00001B71L, "CPI_INVALID_SIZE",              "Invalid buffer size associated with request" },
    { 0x00001B72L, "CPI_NOT_CONTIGUOS",             "Unable to create contiguous block" },
    { 0x00001B73L, "CPI_NO_CHANNEL",                "No channel associated with connection" },
    { 0x00001B74L, "CPI_NO_BOARD",                  "No TX board associated with connection" },
    { 0x00001B75L, "CPI_CORRUPT_MSG",               "Corrupted TX communication message detected" },
    { 0x00001B76L, "CPI_TX_REJECTED",               "Request rejected by the TX board" },
    { 0x00001B77L, "CPI_RESET",                     "Request failed due to reset of TX board" },
    { 0x00001B78L, "CPI_THREAD_FAIL",               "Error occurred related to helper thread" },
    { 0x00001B79L, "CPI_COMM_ERROR",                "Communication error with driver" },
    { 0x00001B7AL, "CPI_COMM_UNKNOWN",              "Unknown communication message from driver" },
    { 0x00001B7BL, "CPI_UNKNOWN_DRIVER_ERROR",      "Unknown error returned from driver" },
    { 0x00001B7CL, "CPI_SEQNUM_MISMATCH",           "Received sequence number does not match expected" },
    { 0x00001B7DL, "CPI_DRIVER_OPEN",               "Unable to open TX device driver" },
    { 0x00001B7EL, "CPI_RX_FAIL",                   "Error while attempting to receive message from driver" },
    { 0x00001B7FL, "CPI_LOCK_FAIL",                 "Unable to obtain a required LOCK level" },
    { 0x00001B80L, "CPI_IN_PROGRESS",               "Operation is currently in progress" },
    { 0x00001B81L, "CPI_NOT_INITIALIZED",           "CPI library has not been initialized" },
    { 0x00001B82L, "CPI_OVERFLOW",                  "Overflow condition detected" },
    { 0x00001B83L, "CPI_UNDERRUN",                  "Underrun condition detected" },

    { 0x01000001L, "SCCMRG_NOT_SUPPORTED",          "Type not supported" },
    { 0x01000002L, "SCCMRG_INVALID_ARG",            "Invalid argument provided" },
    { 0x01000003L, "SCCMRG_MEM_FULL",               "Insufficient free memory" },
    { 0x01000004L, "SCCMRG_NOT_ALLOCED",            "Memory region not currently allocated" },
    { 0x01000005L, "SCCMRG_NOT_OWNER",              "Current task not owner of region" },
    { 0x01000006L, "SCCMRG_TOO_SMALL",              "Insufficient size provided" },
    { 0x01000007L, "SCCMRG_INVALID_STATE",          "Invalid state for operation" },
    { 0x01000008L, "SCCMRG_INVALID_PARAM",          "Invalid parameter" },
    { 0x01000009L, "SCCMRG_INVALID_SIZE",           "Invalid/Inconsistant Size" },

    { 0x02000001L, "SCCTRAP_INVALID_TYPE",          "Invalid request type" },
    { 0x02000002L, "SCCTRAP_NOT_SUPPORTED",         "Function not supported" },

    { 0x03000001L, "SCCPCI_NOT_FOUND",              "No valid PCI bridge device found" },
    { 0x03000002L, "SCCPCI_UNKNOWN_TYPE",           "Unknown bridge device type" },

    { 0x04000001L, "SCCT1E1_UNKNOWN_TYPE",          "Unknown T1/E1 device type" },
    { 0x04000002L, "SCCT1E1_FULL",                  "Internal table full" },
    { 0x04000003L, "SCCT1E1_UNKNOWN_CMD",           "Unknown T1/E1 command" },
    { 0x04000004L, "SCCT1E1_INVALID_STATE",         "T1/E1 framer in invalid state for operation" },
    { 0x04000005L, "SCCT1E1_INVALID_MODE",          "T1/E1 framer in invalid mode for operation" },
    { 0x04000006L, "SCCT1E1_INVALID_VALUE",         "T1/E1 parameter value invalid" },

    { 0x05000001L, "SCCHWDEV_UNKNOWN_TYPE",         "Unknown hardware device type" },

    { 0x06000001L, "SCCTASK_EMPTY_RING",            "Empty priority ring" },
    { 0x06000002L, "SCCTASK_INVALID_CODE",          "Invalid code execution" },
    { 0x06000003L, "SCCTASK_INVALID_PARAM",         "Invalid parameter(s) provided" },
    { 0x06000004L, "SCCTASK_ALREADY_EXISTS",        "Task already exists" },
    { 0x06000005L, "SCCTASK_NO_TCB_AVAIL",          "No TCBs available" },
    { 0x06000006L, "SCCTASK_INVALID_TCB",           "Invalid TCB provided" },
    { 0x06000007L, "SCCTASK_INVALID_MSG",           "Invalid message provided" },
    { 0x06000008L, "SCCTASK_NOT_EXIST",             "Task does not exist" },
    { 0x06000009L, "SCCTASK_SQE_STATE",             "Service queue element state invalid for operation" },
    { 0x0600000AL, "SCCTASK_EVENT_INUSE",           "Event already in use to other task" },
    { 0x0600000BL, "SCCTASK_MEM_FULL",              "Insufficient free memory" },
    { 0x0600000CL, "SCCTASK_TIMEOUT",               "Timeout while performing task control operation" },

    { 0x07000001L, "SCCTX4000_NOT_SUPPORTED",       "Function not supported" },

    { 0x08000001L, "SCCGPM_INVALID_ID",             "Invalid ID" },
    { 0x08000002L, "SCCGPM_NOT_START",              "Resource has not been started" },
    { 0x08000003L, "SCCGPM_NO_EVT",                 "Event not found" },
    { 0x08000004L, "SCCGPM_NO_STATE",               "Not a single state found" },
    { 0x08000005L, "SCCGPM_INV_FREE_STATE",         "Invalid free state of pooltable" },
    { 0x08000006L, "SCCGPM_INV_ALOC_STATE",         "Invalid allocate state of pooltable" },
    { 0x08000007L, "SCCGPM_UNKOWN_STATE",           "Unknown/intermidiate state of pooltable" },
    { 0x08000008L, "SCCGPM_INVALID_ARG",            "Invalid argument" },
    { 0x08000009L, "SCCGPM_MSG_INUSE",              "Message in use" },
    { 0x0800000AL, "SCCGPM_MEM_INUSE",              "Memory in use" },
    { 0x0800000BL, "SCCGPM_INV_POOL_TYPE",          "Invalid pooled memory type" },
    { 0x0800000CL, "SCCGPM_NOT_REGISTERED",         "Not registered" },
    { 0x0800000DL, "SCCGPM_REGISTERED",             "Already registered" },

    { 0x09000001L, "SCCNOBJ_UNKNOWN_TYPE",          "Unknown object type provided" },
    { 0x09000002L, "SCCNOBJ_NULL_OBJECT",           "NULL object provided" },
    { 0x09000003L, "SCCNOBJ_INVALID_NAME",          "Invalid object name provided" },
    { 0x09000004L, "SCCNOBJ_MEM_FULL",              "Insufficient memory for object creation" },
    { 0x09000005L, "SCCNOBJ_ALREADY_EXISTS",        "Object specified already exists" },
    { 0x09000006L, "SCCNOBJ_NOT_FOUND",             "Requested object not found" },
    { 0x09000007L, "SCCNOBJ_INVALID_OBJECT",        "Invalid object pointer provided" },

    { 0x0A000001L, "SCCSYSI_ALLOC_FAILED",          "Allocation of System Information block failed" },
    { 0x0A000002L, "SCCSYSI_NOT_FOUND",             "System Information block not found" },

    { 0x0B000001L, "SCCGPT_NO_SYSINFO",             "Unable to locate System Information block" },
    { 0x0B000002L, "SCCGPT_OUT_OF_MEMORY",          "Unable to allocate memory" },
    { 0x0B000003L, "SCCGPT_UNKNOWN_TYPE",           "Unknown type provided" },
    { 0x0B000004L, "SCCGPT_NULL_FUNCTION",          "NULL function provided" },

    { 0x0C000001L, "SCCVSOCK_MEM_FULL",             "Out of memory" },
    { 0x0C000002L, "SCCVSOCK_INVRXTXD",             "Invlid RXTXD" },
    { 0x0C000003L, "SCCVSOCK_RXTXD_BUF_SIZE",       "Buffer size too small" },
    { 0x0C000004L, "SCCVSOCK_RXTXD_ADJUST",         "Error adjusting header" },
    { 0x0C000005L, "SCCVSOCK_INV_STATE",            "Invalid state" },
    { 0x0C000006L, "SCCVSOCK_INV_HANDLE",           "Invalid VSOCK handle" },
    { 0x0C000007L, "SCCVSOCK_INV_NAME",             "Invalid resource name" },
    { 0x0C000008L, "SCCVSOCK_INV_FUNCTION",         "Invalid function" },
    { 0x0C000009L, "SCCVSOCK_TX_OVERRUN",           "Overran the TX queue" },
    { 0x0C00000AL, "SCCVSOCK_DUPLICATE",            "Duplicate resource" },
    { 0x0C00000BL, "SCCVSOCK_NOSUCHRESTYPE",        "No such resource type" },
    { 0x0C00000CL, "SCCVSOCK_DUPHASHKEY",           "Duplicate hash key" },
    { 0x0C00000DL, "SCCVSOCK_INV_PARM",             "Invalid Parameter" },

    { 0x0D000001L, "SCCIPETH_OUT_OF_MEMORY",        "Memory allocate error" },
    { 0x0D000002L, "SCCIPETH_INVHANDLE",            "Invalid resource handle" },
    { 0x0D000003L, "SCCIPETH_INVSTATE",             "Invalid state for operation" },
    { 0x0D000004L, "SCCIPETH_INVKEY",               "Lower interface key invalid" },
    { 0x0D000005L, "SCCIPETH_LEV1DEFINE",           "Level 1 driver define error" },
    { 0x0D000006L, "SCCIPETH_TXOVERFLOW",           "Transmit overflow" },
    { 0x0D000007L, "SCCIPETH_DUPLICATE",            "Duplicate resource type registered" },
    { 0x0D000008L, "SCCIPETH_NOSUCHTYPE",           "No such resource type registered" },
    { 0x0D000009L, "SCCIPETH_NOROUTE",              "No route available" },
    { 0x0D00000AL, "SCCIPETH_DUPNAME",              "Duplicate resource or CPT name" },
    { 0x0D00000BL, "SCCIPETH_DUPHASHKEY",           "Duplicate hash key" },
    { 0x0D00000CL, "SCCIPETH_ARPERROR",             "ARP lookup problem" },
    { 0x0D00000DL, "SCCIPETH_INVNAME",              "Invalid resource name" },
    { 0x0D00000EL, "SCCIPETH_INVLENGTH",            "Packet size <=0 or >= 1518" },
    { 0x0D00000FL, "SCCIPETH_LINKDOWN",             "Ethernet link is down" },
    { 0x0D000010L, "SCCIPETH_SENDTOMBX",            "Send to another task\'s mailbox failed" },
    { 0x0D000011L, "SCCIPETH_RXTXD_BUF_LIMIT",      "Add to RXTXD buffer chain failed" },
    { 0x0D000012L, "SCCIPETH_INVRXTXD",             "Invalid RXTXD pointer passed" },
    { 0x0D000013L, "SCCIPETH_RXTXD_ADJUST",         "Tried to adjust RXTXD buffer pointer error" },
    { 0x0D000014L, "SCCIPETH_INVMSGTYPE",           "IPMgr RX\'d unknown message type" },
    { 0x0D000015L, "SCCIPETH_IPROUTE_ADDFAIL",      "Unable to add IP route to table" },
    { 0x0D000016L, "SCCIPETH_IPCHKSUM",             "IP header checksum error" },
    { 0x0D000017L, "SCCIPETH_TTLEXPIRE",            "IP TTL expired" },
    { 0x0D000018L, "SCCIPETH_CPU_SYNC",             "CPU sync error" },
    { 0x0D000019L, "SCCIPETH_CU_TIMEOUT",           "CU timeout" },
    { 0x0D00001AL, "SCCIPETH_INVALID_FUNCTION",     "Invalid/unsupported function" },
    { 0x0D00001BL, "SCCIPETH_MAX_CONPTS",           "Cannot support more connect points" },
    { 0x0D00001CL, "SCCIPETH_ETH1_LINK_FAIL",       "Ethernet link 1 failure" },
    { 0x0D00001DL, "SCCIPETH_ETH2_LINK_FAIL",       "Ethernet link 2 failure" },
    { 0x0D00001EL, "SCCIPETH_ETH1_LINK_ACTIVE",     "Ethernet link 1 active" },
    { 0x0D000020L, "SCCIPETH_ETH2_LINK_ACTIVE",     "Ethernet link 2 active" },
    { 0x0D000021L, "SCCIPETH_MBOX_PKT_DROP",        "Mailbox full; packet dropped" },
    { 0x0D000022L, "SCCIPETH_NOTFOUND",             "Item not found" },
    { 0x0D000023L, "SCCIPETH_INVPARAM",             "Invalid parameter" },
    { 0x0D000024L, "SCCIPETH_CHECKSUM_FAIL",        "Checksum verification failed" },
    { 0x0D000025L, "SCCIPETH_INV_LINK",             "Invalid interface/link specified" },
    { 0x0D000026L, "SCCIPETH_LOOP_DETECT",          "Looped route detected" },

    { 0x0D000080L, "SCCIPETH_NDERROR",              "IPv6 neighbor discovery error" },
    { 0x0D000081L, "SCCIPETH_INVNEXTHDR",           "IPv6 invalid next header type" },
    { 0x0D000082L, "SCCIPETH_PROTOCOL_VIOLATION",   "IPv6 protocol error" },
    { 0x0D000083L, "SCCIPETH_IPV6DEST_NOTFOUND",    "IPv6 dest entry for IP addr not found" },
    { 0x0D000084L, "SCCIPETH_INV_IPV6ADDR",         "IPv6 invalid address" },
    { 0x0D000085L, "SCCIPETH_IPV6ND_NOTFOUND",      "IPv6 ND entry for IP addr not found" },
    { 0x0D000086L, "SCCIPETH_IPV6ND_INVEVENT",      "IPv6 ND SEM, invalid event" },
    { 0x0D000087L, "SCCIPETH_IPV6ND_ERROR",         "IPv6 generic ND error" },
    { 0x0D000088L, "SCCIPETH_IPV6IF_NOTFOUND",      "IPv6 interface entry not found in the interface table" },
    { 0x0D000089L, "SCCIPETH_IPV6MC_NOTFOUND",      "IPv6 multicast address not found in the interface table" },
    { 0x0D00008AL, "SCCIPETH_IPV6ND_DUPADDRDET",    "IPv6 duplicate address detected" },
    { 0x0D00008BL, "SCCIPETH_IPV6ND_TIMERERR",      "IPv6 error with ND timer" },
    { 0x0D00008CL, "SCCIPETH_IPV6RTR_TIMERERR",     "IPv6 error with router timer" },
    { 0x0D000090L, "SCCIPETH_IPV4ARP_TIMERERR",     "Ipv4 error with ARP timer" },
    { 0x0D000091L, "SCCIPETH_IPV4ARP_INVENTRY",     "Ipv4 invalid ARP entry" },
    { 0x0D000092L, "SCCIPETH_IPV4ARP_INVEVENT",     "Ipv4 ARP SEM, invalid event" },

    { 0x0E000001L, "SCCSWI_MODE_NOT_SUPPORTED",     "Requested mode not supported" },
    { 0x0E000002L, "SCCSWI_INVALID_STREAM",         "Invalid stream number provided" },
    { 0x0E000003L, "SCCSWI_INVALID_MODE",           "Invalid mode provided" },
    { 0x0E000004L, "SCCSWI_INVALID_BUS",            "Invalid bus type provided" },
    { 0x0E000005L, "SCCSWI_INVALID_CAM",            "Invalid CAM type provided" },
    { 0x0E000006L, "SCCSWI_INVALID_DIRECTION",      "Invalid direction provided" },
    { 0x0E000007L, "SCCSWI_NOT_EXIST",              "Requested item does not exist" },
    { 0x0E000008L, "SCCSWI_FULL",                   "Internal table full" },
    { 0x0E000009L, "SCCSWI_TOO_SMALL",              "Insufficient size provided" },
    { 0x0E00000AL, "SCCSWI_ALREADY_EXISTS",         "Indicated element already exists" },
    { 0x0E00000BL, "SCCSWI_INVALID_PARAM",          "Invalid parameter provided" },
    { 0x0E00000CL, "SCCSWI_CONNECT_FAILED",         "Failed to make requested connection" },
    { 0x0E00000DL, "SCCSWI_BREAK_FAILED",           "Failed to break requested connection" },
    { 0x0E00000EL, "SCCSWI_CORRUPTION",             "Internal corruption deteceted" },
    { 0x0E00000FL, "SCCSWI_NOT_SUPPORTED",          "Requested function not currently supported" },
    { 0x0E000010L, "SCCSWI_INVALID_TIMESLOT",       "Invalid timeslot provided" },
    { 0x0E000011L, "SCCSWI_INVALID_CLOCK",          "Invalid clock provided" },
    { 0x0E000012L, "SCCSWI_INVALID_NETWORK",        "Invalid network number provided" },
    { 0x0E000013L, "SCCSWI_INVALID_SPEED",          "Invalid clock speed provided" },
    { 0x0E000014L, "SCCSWI_OUT_OF_MEMORY",          "Unable to allocate memory" },
    { 0x0E000015L, "SCCSWI_INVALID_CARRIER",        "Invalid carrier number provided" },
    { 0x0E000016L, "SCCSWI_NO_REARIO",              "No Rear IO card detected" },
    { 0x0E000018L, "SCCSWI_NO_LICENSE",             "No license for the High Speed Link port being created" },

    { 0x0F000001L, "SCCHBUS_INVHANDLE",             "Invalid handle" },
    { 0x0F000002L, "SCCHBUS_INVINDEX",              "Invalid index" },
    { 0x0F000003L, "SCCHBUS_INVSTATE",              "Invalid state" },
    { 0x0F000004L, "SCCHBUS_INVIADD",               "Invalid internal address" },
    { 0x0F000005L, "SCCHBUS_INVREQ",                "Invalid request" },
    { 0x0F000006L, "SCCHBUS_INVFLAGS",              "Invalid message" },
    { 0x0F000007L, "SCCHBUS_INVPARM",               "Invalid parameter" },
    { 0x0F000008L, "SCCHBUS_INVFUNC",               "Function not supported" },
    { 0x0F000009L, "SCCHBUS_INVKEY",                "Invalid lower layer key" },
    { 0x0F00000AL, "SCCHBUS_INVERSION",             "Invalid version" },
    { 0x0F00000BL, "SCCHBUS_TXQFULL",               "TX queue full" },
    { 0x0F00000CL, "SCCHBUS_DEVERR",                "Device error" },
    { 0x0F00000DL, "SCCHBUS_UNAVAIL",               "Device unavailable" },
    { 0x0F00000EL, "SCCHBUS_NXST",                  "Non-existant item" },
    { 0x0F00000FL, "SCCHBUS_LARGEMSG",              "Message too large" },
    { 0x0F000010L, "SCCHBUS_SMALLMSG",              "Message too small" },
    { 0x0F000011L, "SCCHBUS_MISSPARM",              "Missing parameter" },
    { 0x0F000012L, "SCCHBUS_TXOVERFLOW",            "TX overflow" },
    { 0x0F000013L, "SCCHBUS_RXOVERFLOW",            "RX overflow" },
    { 0x0F000014L, "SCCHBUS_NOTSWPRIV",             "Requestor is not software privileged" },
    { 0x0F000015L, "SCCHBUS_OUT_OF_MEMORY",         "Out of memory" },
    { 0x0F000016L, "SCCHBUS_LEV1DEFINE",            "Error defining level 1 driver" },
    { 0x0F000017L, "SCCHBUS_HOSTNOTSYNC",           "Host-HBUS not in sync" },
    { 0x0F000018L, "SCCHBUS_NOT_SUPPORTED",         "Function not supported" },

    { 0x10000001L, "SCCISR_OUT_OF_MEMORY",          "Error allocating memory" },
    { 0x10000002L, "SCCISR_OUT_OF_RANGE",           "ISR # specified is out of range" },
    { 0x10000003L, "SCCISR_DUPLICATE_ENTRY",        "ISR table entry already in use" },
    { 0x10000004L, "SCCISR_NOSUCH_ENTRY",           "ISR table entry doesn\'t exist" },
    { 0x10000005L, "SCCISR_INVALID_KEY",            "ISR Key is invalid" },

    { 0x11000001L, "SCCLOG_UNKNOWN_RES",            "Unknown resource type" },
    { 0x11000002L, "SCCLOG_NOT_SUPPORTED",          "Requested function not supported" },
    { 0x11000003L, "SCCLOG_INVALID_STATE",          "Ring (or VSOCK) in invalid state" },
    { 0x11000004L, "SCCLOG_UNKNOWN_NOTIF",          "Unknown type of notification" },

    { 0x12000001L, "SCCHDLC_OUT_OF_MEMORY",         "Memory allocate error" },
    { 0x12000002L, "SCCHDLC_INVHANDLE",             "Invalid resource handle" },
    { 0x12000003L, "SCCHDLC_INVSTATE",              "Invalid state for operation" },
    { 0x12000004L, "SCCHDLC_INVKEY",                "Lower interface key invalid" },
    { 0x12000005L, "SCCHDLC_LEV1DEFINE",            "Level 1 driver define error" },
    { 0x12000006L, "SCCHDLC_TXOVERFLOW",            "Transmit overflow" },
    { 0x12000007L, "SCCHDLC_DUPLICATE",             "Duplicate resource type registered" },
    { 0x12000008L, "SCCHDLC_NOSUCHTYPE",            "No such resource type registered" },
    { 0x12000009L, "SCCHDLC_INV_LINK",              "Invalid link # specified" },
    { 0x1200000AL, "SCCHDLC_DUPNAME",               "Duplicate resource or CPT name" },
    { 0x1200000BL, "SCCHDLC_DUPHASHKEY",            "Duplicate hash key" },
    { 0x1200000CL, "SCCHDLC_INVALID_FUNCTION",      "Function not supported" },
    { 0x1200000DL, "SCCHDLC_INVNAME",               "Invalid resource name" },
    { 0x1200000EL, "SCCHDLC_INVLENGTH",             "Packet size <=0 or >= 1518" },
    { 0x1200000FL, "SCCHDLC_LINKDOWN",              "HDLC link is down" },
    { 0x12000010L, "SCCHDLC_SENDTOMBX",             "Send to another task\'s mailbox failed" },
    { 0x12000011L, "SCCHDLC_RXTXD_BUF_LIMIT",       "Add to RXTXD buffer chain failed" },
    { 0x12000012L, "SCCHDLC_INVRXTXD",              "Invalid RXTXD pointer passed" },
    { 0x12000013L, "SCCHDLC_RXTXD_ADJUST",          "Tried to adjust RXTXD buffer pointer error" },
    { 0x12000014L, "SCCHDLC_INVMSGTYPE",            "HDLC RX\'d unknown message type" },
    { 0x12000015L, "SCCHDLC_NO_CHANNEL",            "Received message for unregistered channel" },
    { 0x12000016L, "SCCHDLC_NO_OWNER",              "No task has attached as owner of HDLC" },

    { 0x13000001L, "SCCMGR_NXST",                   "Item does not exist" },
    { 0x13000002L, "SCCMGR_INVSRVNUM",              "Invalid service number" },
    { 0x13000003L, "SCCMGR_INVINDEX",               "Invalid index" },
    { 0x13000004L, "SCCMGR_INVPOS",                 "Invalid file position" },
    { 0x13000005L, "SCCMGR_EMPTY",                  "Empty record" },
    { 0x13000006L, "SCCMGR_INSUFFMEM",              "Insufficient memory" },
    { 0x13000007L, "SCCMGR_FLASH_VERIFY",           "Flash verification error" },
    { 0x13000008L, "SCCMGR_INV_IMAGE",              "Invalid image detected" },
    { 0x13000009L, "SCCMGR_INV_SEQ",                "Invalid sequence number" },
    { 0x1300000AL, "SCCMGR_INV_SIZE",               "Invalid size detected" },
    { 0x1300000BL, "SCCMGR_INV_CHKSUM",             "Invalid checksum detected" },
    { 0x1300000CL, "SCCMGR_INV_SECTOR",             "Invalid sector detected" },

    { 0x14000001L, "SCCMPSC_OUT_OF_MEMORY",         "Memory allocate error" },
    { 0x14000002L, "SCCMPSC_INVHANDLE",             "Invalid resource handle" },
    { 0x14000003L, "SCCMPSC_INVSTATE",              "Invalid state for operation" },
    { 0x14000004L, "SCCMPSC_INVKEY",                "Lower interface key invalid" },
    { 0x14000005L, "SCCMPSC_LEV1DEFINE",            "Level 1 driver define error" },
    { 0x14000006L, "SCCMPSC_TXOVERFLOW",            "Transmit overflow" },
    { 0x14000007L, "SCCMPSC_DUPLICATE",             "Duplicate resource type registered" },
    { 0x14000008L, "SCCMPSC_NOSUCHTYPE",            "No such resource type registered" },
    { 0x14000009L, "SCCMPSC_INV_LINK",              "Invalid link # specified" },
    { 0x1400000AL, "SCCMPSC_DUPNAME",               "Duplicate resource or CPT name" },
    { 0x1400000BL, "SCCMPSC_DUPHASHKEY",            "Duplicate hash key" },
    { 0x1400000CL, "SCCMPSC_INVALID_FUNCTION",      "Function not supported" },
    { 0x1400000DL, "SCCMPSC_INVNAME",               "Invalid resource name" },
    { 0x1400000EL, "SCCMPSC_INVLENGTH",             "Packet size <=0 or >= 1518" },
    { 0x1400000FL, "SCCMPSC_LINKDOWN",              "MPSC link is down" },
    { 0x14000010L, "SCCMPSC_SENDTOMBX",             "Send to another task\'s mailbox failed" },
    { 0x14000011L, "SCCMPSC_RXTXD_BUF_LIMIT",       "Add to RXTXD buffer chain failed" },
    { 0x14000012L, "SCCMPSC_INVRXTXD",              "Invalid RXTXD pointer passed" },
    { 0x14000013L, "SCCMPSC_RXTXD_ADJUST",          "Tried to adjust RXTXD buffer pointer error" },
    { 0x14000014L, "SCCMPSC_INVMSGTYPE",            "MPSC RX\'d unknown message type" },

    { 0x15000001L, "SCCLOAD_FILEERROR",             "ELF file error" },
    { 0x15000002L, "SCCLOAD_OUTOFMEMORY",           "Out of memory" },
    { 0x15000003L, "SCCLOAD_INVDATA",               "Invalid data type received" },
    { 0x15000004L, "SCCLOAD_INVREQ",                "Invalid request type received" },
    { 0x15000005L, "SCCLOAD_INVPARM",               "Invalid parameter value" },
    { 0x15000006L, "SCCLOAD_INVHANDLE",             "Invalid DLM handle" },
    { 0x15000007L, "SCCLOAD_OVERFLOW",              "DLM buffer overflow" },
    { 0x15000008L, "SCCLOAD_SYMBOLNOTFOUND",        "Symbol not found" },
    { 0x15000009L, "SCCLOAD_WRONGCPU",              "Wrong CPU type in DLM file" },
    { 0x1500000AL, "SCCLOAD_SYS_NOTDEFINED",        "Symbol table context not defined" },
    { 0x1500000BL, "SCCLOAD_DLM_NOTDEFINED",        "DLM not defined" },
    { 0x1500000CL, "SCCLOAD_NO_UNRESOLVEDSYM",      "No unresolved symbol found" },
    { 0x1500000DL, "SCCLOAD_NOT_IMPLEMENTED",       "Function not implemented" },
    { 0x1500000EL, "SCCLOAD_EMPTYBUF",              "ELF buffer is empty" },
    { 0x1500000FL, "SCCLOAD_TSKEXEFAIL",            "Task create failed" },
    { 0x15000010L, "SCCLOAD_NOLOADSECT",            "No loadable program section in ELF image" },
    { 0x15000011L, "SCCLOAD_LINKERERROR",           "Linker error" },
    { 0x15000012L, "SCCLOAD_INCOMPLETE",            "Loader accepted data, image not yet complete" },
    { 0x15000013L, "SCCLOAD_COMPLETE",              "Loader accepted data, image complete" },
    { 0x15000014L, "SCCLOAD_INVKERNEL",             "No valid kernel ELF image" },
    { 0x15000015L, "SCCLOAD_NO_SYM_TABLE",          "No valid symbol table" },

    { 0x16000001L, "SCCMAIL_OUT_OF_MEMORY",         "Memory allocate error" },
    { 0x16000002L, "SCCMAIL_INVHANDLE",             "Invalid resource handle" },
    { 0x16000003L, "SCCMAIL_INVSTATE",              "Invalid state for operation" },

    { 0x1600000BL, "SCCMAIL_INVALID_FUNCTION",      "Function not supported" },

    { 0x17000001,  "SCCMTP1_OUT_OF_MEMORY",         "Memory allocate error" },
    { 0x17000002,  "SCCMTP1_INVHANDLE",             "Invalid resource handle" },
    { 0x17000003,  "SCCMTP1_INVSTATE",              "Invalid state for operation" },
    { 0x17000004,  "SCCMTP1_INVKEY",                "Lower interface key invalid" },
    { 0x17000005,  "SCCMTP1_LEV1DEFINE",            "Level 1 driver define error" },
    { 0x17000006,  "SCCMTP1_TXOVERFLOW",            "Transmit overflow" },
    { 0x17000007,  "SCCMTP1_DUPLICATE",             "Duplicate resource type registered" },
    { 0x17000008,  "SCCMTP1_NOSUCHTYPE",            "No such resource type registered" },
    { 0x17000009,  "SCCMTP1_INV_LINK",              "Invalid link # specified" },
    { 0x1700000A,  "SCCMTP1_DUPNAME",               "Duplicate resource or CPT name" },
    { 0x1700000B,  "SCCMTP1_DUPHASHKEY",            "Duplicate hash key" },
    { 0x1700000C,  "SCCMTP1_INVALID_FUNCTION",      "Function not supported" },
    { 0x1700000D,  "SCCMTP1_INVNAME",               "Invalid resource name" },
    { 0x1700000E,  "SCCMTP1_INVLENGTH",             "Packet size <=0 or >= 1518" },
    { 0x1700000F,  "SCCMTP1_LINKDOWN",              "MTP1 link is down" },
    { 0x17000010,  "SCCMTP1_SENDTOMBX",             "Send to another task\'s mailbox failed" },
    { 0x17000011,  "SCCMTP1_RXTXD_BUF_LIMIT",       "Add to RXTXD buffer chain failed" },
    { 0x17000012,  "SCCMTP1_INVRXTXD",              "Invalid RXTXD pointer passed" },
    { 0x17000013,  "SCCMTP1_RXTXD_ADJUST",          "Tried to adjust RXTXD buffer pointer error" },
    { 0x17000014,  "SCCMTP1_INVMSGTYPE",            "MTP1 RX\'d unknown message type" },
    { 0x17000015,  "SCCMTP1_INV_PARAMETER",         "Invalid or out of range parameter" },
    { 0x17000016,  "SCCMTP1_TIMEOUT",               "Timeout occurred when waiting op. complete" },
    { 0x17000017,  "SCCMTP1_NO_OWNER",              "No MTP1 owner application has registered" },

    { 0x18000001L, "SCCDIAG_INVSRV",                "Invalid service" },
    { 0x18000002L, "SCCDIAG_NOTSUP",                "Function not supported" },
    { 0x18000003L, "SCCDIAG_INVOPT",                "Invalid option" },

    { 0x19000001L, "SCCUART_OUT_OF_MEMORY",         "Memory allocate error" },
    { 0x19000002L, "SCCUART_INVHANDLE",             "Invalid resource handle" },
    { 0x19000003L, "SCCUART_INVSTATE",              "Invalid state for operation" },
    { 0x19000004L, "SCCUART_INVKEY",                "Lower interface key invalid" },
    { 0x19000005L, "SCCUART_LEV1DEFINE",            "Level 1 driver define error" },
    { 0x19000006L, "SCCUART_TXOVERFLOW",            "Transmit overflow" },
    { 0x19000007L, "SCCUART_TXTIMEOUT",             "Timeout while transmitting" },
    { 0x19000008L, "SCCUART_RXTIMEOUT",             "Timeout while receiving" },
    { 0x19000009L, "SCCUART_LINKDOWN",              "Link down" },
    { 0x1900000AL, "SCCUART_INVLENGTH",             "Invalid length" },
    { 0x1900000BL, "SCCUART_NO_OWNER",              "No task has attached as owner of UART" },

    { 0x1A000001L, "SCCSERIAL_OUT_OF_MEMORY",       "Out of Memory" },
    { 0x1A000002L, "SCCSERIAL_NOT_FOUND",           "Serial interface not found" },

    { 0x1B000001L, "SCCCMD_IN_PROGRESS",            "Command could not complete immediately" },
    { 0x1B000002L, "SCCCMD_NOT_SUPPORTED",          "Requested function or option is not currently supported" },

    { 0x1C000001L, "SCCIP_TOO_SMALL",               "Provided buffer size is too small" },
    { 0x1C000002L, "SCCIP_INVALID_TYPE",            "Invalid (unknown) type encountered" },
    { 0x1C000003L, "SCCIP_UNKNOWN_COMMAND",         "Unknown command encountered" },
    { 0x1C000004L, "SCCIP_INDEX_OUT_OF_RANGE",      "Index is out of valid range" },
    { 0x1C000005L, "SCCIP_INVALID_SIZE",            "Invalid buffer size encountered" },
    { 0x1C000006L, "SCCIP_NULL_POINTER",            "Invalid NULL pointer detected" },
    { 0x1C000007L, "SCCIP_UNKNOWN_CONFIG",          "Unknown configuration field encountered" },
    { 0x1C000008L, "SCCIP_OUT_OF_MEMORY",           "Unable to allocate required memory" },
    { 0x1C000009L, "SCCIP_NOT_IMPLEMENTED",         "Requested operation has not been implemented" },
    { 0x1C00000AL, "SCCIP_NO_ROUTE",                "No route matching requested addressing" },
    { 0x1C00000BL, "SCCIP_TABLE_FULL",              "Given table is full - no more entries available" },
    { 0x1C00000CL, "SCCIP_NOT_FOUND",               "Indicated entity could not be found" },
    { 0x1C00000DL, "SCCIP_RESOURCE_NOT_AVAIL",      "Required resource not available" },
    { 0x1C00000EL, "SCCIP_INVALID_STATE",           "Entity in invalid state for requested operation" },
    { 0x1C00000FL, "SCCIP_INVALID_ID_KEY",          "Invalid identification key encountered" },
    { 0x1C000010L, "SCCIP_INVALID_MAGIC",           "Invalid 'magic number' encountered" },
    { 0x1C000011L, "SCCIP_INVALID_HDR_TYPE",        "Invalid header type encountered" },
    { 0x1C000012L, "SCCIP_INVALID_ADDRESS",         "Invalid address encountered" },
    { 0x1C000013L, "SCCIP_FIELD_MISSING",           "Missing a required field" },
    { 0x1C000014L, "SCCIP_ARP_DELETED",             "ARP entry was deleted" },
    { 0x1C000015L, "SCCIP_ARP_TX_OVERFLOW",         "ARP transmit queue overflow" },
    { 0x1C000016L, "SCCIP_NO_IP_FORWARDING",        "IP forwarding indicated when IP forwarding disabled" },
    { 0x1C000017L, "SCCIP_NO_HW_RX_ROUTE",          "No route found when routing receive at the hardware layer" },
    { 0x1C000018L, "SCCIP_NO_IP_RX_ROUTE",          "No route for received IP address" },
    { 0x1C000019L, "SCCIP_GW_NO_RX_ROUTE",          "Gateway route (on receive) does not map to active interface route" },
    { 0x1C00001AL, "SCCIP_RX_LOOP_ROUTE",           "Looped route entry detected on RX lookup" },
    { 0x1C00001BL, "SCCIP_NO_PROTO_RX_ROUTE",       "No route for received IP protocol" },
    { 0x1C00001CL, "SCCIP_NO_PORT_RX_ROUTE",        "No route for received protocol-specific port number" },
    { 0x1C00001DL, "SCCIP_NO_IFACE_ROUTE",          "No interface route to transmit IP packet over" },
    { 0x1C00001EL, "SCCIP_GW_NO_IFACE_ROUTE",       "Gateway route does not map to active interface route" },
    { 0x1C00001FL, "SCCIP_NO_ETH_RX_ROUTE",         "No route for received Ethernet packet" },
    { 0x1C000020L, "SCCIP_ROUTE_NOT_EXIST",         "Referenced route does not exist" },
    { 0x1C000021L, "SCCIP_RX_TIMEOUT",              "Timeout occurred while processing receive" },
    { 0x1C000021L, "SCCIP_TOO_BIG",                 "Complete buffer size is too big to be processed" },

    { 0x1D000001L, "SCCETH_RXMISS_FRAME",           "Frame len >= max" },
    { 0x1D000002L, "SCCETH_RXLARGE_FRAME",          "Frame len >= max" },
    { 0x1D000003L, "SCCETH_RXSHORT_FRAME",          "Frame len < min eth len (64B)" },
    { 0x1D000004L, "SCCETH_RXNONALIGNED_FRAME",     "Non-octet algined frame" },
    { 0x1D000005L, "SCCETH_RXCRCERROR_FRAME",       "CRC error" },
    { 0x1D000006L, "SCCETH_RXOVERRUN_FRAME",        "FIFO overrun while receiving frame" },
    { 0x1D000007L, "SCCETH_RXTRUNCATED_FRAME",      "Truncated received frame" },
    { 0x1D000008L, "SCCETH_RXMULTIPLE_FRAME",       "Received data in multiple frames" },
    { 0x1D001001L, "SCCETH_TXDEFERRED_FRAME",       "Transmitted frame was deferred" },
    { 0x1D001002L, "SCCETH_TXLATECOL_FRAME",        "A collision occured after 64 bytes were sent" },
    { 0x1D001003L, "SCCETH_TXABORT_FRAME",          "Transmission failed, max retry limit + 1 reached" },
    { 0x1D001004L, "SCCETH_TXUNDERRUN_FRAME",       "Underrun occured while sending out buffer" },
    { 0x1D001005L, "SCCETH_TXTRUNCATED_FRAME",      "TX frame len > max allowed, so truncated and sent out" },
    { 0x1D001006L, "SCCETH_TXRETRY_FRAME",          "One or more attempt were needed to send out the frame" },
    { 0x1D001007L, "SCCETH_TXCARRIER_LOST",         "Carrier sense lost" },
    { 0x1D002000L, "SCCETH_NOT_SUPPORTED",          "Not supported" },

    { 0x1E000001L, "SCCI2C_OUT_OF_MEMORY",          "Insufficient memory" },
    { 0x1E000002L, "SCCI2C_INVALID_HANDLE",         "Invalid handle" },
    { 0x1E000003L, "SCCI2C_INVALID_STATE",          "Invalid state" },
    { 0x1E000004L, "SCCI2C_INVALID_KEY",            "Invalid key" },
    { 0x1E000005L, "SCCI2C_NOT_SUPPORTED",          "Function not supported" },
    { 0x1E000006L, "SCCI2C_IN_USE",                 "Device already in use" },
    { 0x1E000007L, "SCCI2C_INVALID_ID",             "Invalid device ID" },
    { 0x1E000008L, "SCCI2C_FULL",                   "DEvice queue full" },
    { 0x1E000009L, "SCCI2C_TXOVERFLOW",             "TX overflow" },
    { 0x1E00000BL, "SCCI2C_NO_OWNER",               "No task has attached as owner of I2C" },

    { 0x1F000001L, "SCCSMON_OUT_OF_MEMORY",         "Unable to allocate required memory" },

    { 0x20000001L, "SCCMCC_NOT_EXIST",              "MCC does not exist" },
    { 0x20000002L, "SCCMCC_TIMEOUT",                "Timeout while waiting for MCC command to commplete" },

    { 0x22000001L, "SCCOSAPI_INVALID_KEY",          "invalid key provided to OSAPI function" },
    { 0x22000002L, "SCCOSAPI_INTERRUPTED",          "attempt to lock was interrupted" },

    { 0x24000006,  "SCCFLASH_ERROR_TOOBIG",         "Size entered is bigger than the flash size" },
    { 0x24000007,  "SCCFLASH_ERROR_INPRODAREA",     "Offset falls into production kernel area" },

    { 0x25000000,  "SCCMTX_LOCKED",                 "mutex is locked" },
    { 0x25000001,  "SCCMTX_INVALID_ID",             "mutex id is invalid" },

    { 0x26000000,  "SCCSS7UCODE_LOCKED",            "Microcode is NULL" },
    { 0x26000001,  "SCCSS7UCODE_TRAP",              "Trap number exceeds max allowed" },

    { 0, NULL, NULL }
};

#endif /* _COSENAME_H */
