/*****************************************************************************
 *
 * txinfoapi.h - TX INFO API
 *
 *****************************************************************************/

/*****************************************************************************
 *
 *                         PROPRIETARY NOTICE
 *
 *  (c)Copyright 1988-2009 Dialogic Corporation.  All Rights Reserved
 *
 *  The following is licensed program material and is considered
 *  proprietary and confidential.  No part of this program may be
 *  reproduced or used in any form or by any means without the express
 *  written permission of Dialogic Corporation.
 *
 *****************************************************************************/

#ifndef _TXINFOAPI_H
#define _TXINFOAPI_H

/* ----- dependent includes ----- */
#include "txcpi.h"
#include "txnuser.h"
#include "txinfomsg.h"

#ifdef TXINFOXPORT
#undef TXINFOXPORT
#endif

/* explicitly define calling convenetions for API functions */
#ifdef WIN32

#ifdef _TX_INFOAPI_SOURCE_      /* Library build. */
#define TXINFOXPORT               __declspec( dllexport )
#define TXINFOFUNC                WINAPI
#else                           /* Library use. */
#define TXINFOXPORT
#define TXINFOFUNC                WINAPI
#endif /*_TX_INFOAPI_SOURCE_ */

#endif /* WIN32 */

#ifdef UNIX
#define TXINFOXPORT
#define TXINFOFUNC
#endif /* UNIX */

#ifdef __cplusplus
extern          "C"
{
#endif

/*---------------------------------------------------------------------------*
 * General Message Helper Functions
 *---------------------------------------------------------------------------*/
TXINFOXPORT U32 TXINFOFUNC   txinfoAddress      ( CPIPKT *pkt, U32 req_size, U16 board, U16 host_chan );

/*---------------------------------------------------------------------------*
 * Overall System-Level Information
 *---------------------------------------------------------------------------*/
TXINFOXPORT U32 TXINFOFUNC   txinfoSystemInfo   ( CPIPKT *pkt, U32 msgkey );

/* ----- Reply (Response or Notif) handling functions */
TXINFOXPORT TXINFO_MSG * TXINFOFUNC txinfoReply ( CPIPKT *pkt, S16 len, U32 *ccode );

#ifdef __cplusplus
}
#endif

#endif  /* _TXINFOAPI_H */
