#*******************************************************************************
# File name:	macros.mak
# Objective:    This file contains shared macro definitions used by the local makefiles.
#               It is tailored for 32-bit Linux using the GNU C/C++ compiler.
#********************************************************************************************
SHELL            = /bin/bash
INSTALL          = /usr/bin/install
INSTALL_PROGRAM ?= $(INSTALL) -m755
INSTALL_DATA    ?= $(INSTALL) -m644

DIALOGIC_ROOT   ?= /opt/dialogic
TX_ROOT         ?= $(DIALOGIC_ROOT)/tx
prefix          ?= $(TX_ROOT)
exec_prefix     ?= $(prefix)
bindir           = $(exec_prefix)/bin
includedir       = $(prefix)/include
libdir           = $(exec_prefix)/lib
sysconfdir       = $(prefix)/etc

# NADIR specifies where Natural Access is installed.
NADIR = /opt/nms
NABIN = $(NADIR)/bin
NALIB = $(NADIR)/lib
NAINC = $(NADIR)/include

# Default compiler/linker options.
CC          = /usr/bin/gcc
CPPFLAGS    = -I. -I$(includedir) -I$(NAINC)
LOADLIBES   = -L$(libdir) -L$(NALIB)
_THREAD_LIB = -lpthread
ADDCTALIBS  = -lstdc++

# Uncomment one of the following TARGET_ARCH entries:
# For Optimized GCC Build of Linux
TARGET_ARCH = -DUNIX -DLINUX  -DMULTITHREAD -D_REENTRANT -O2
# For GCC Build of Linux w/ Debugging
#TARGET_ARCH = -DUNIX -DLINUX -DMULTITHREAD -D_REENTRANT -g

# The following causes make to delete the target on error or interrupt.
.DELETE_ON_ERROR :

# The following ensures that 'all' is the default goal, even if it is not first.
.DEFAULT_GOAL := all

