/*************************************************************************
**                                                                      **
**                         PROPRIETARY NOTICE                           **
**                                                                      **
**                          Copyright 2006 - 2009                      **
**                Dialogic Corporation.  All Rights Reserved            **
**                                                                      **
**  The following is licensed program material and is considered        **
**  proprietary and confidential.  No part of this program may be       **
**  reproduced or used in any form or by any means without the express  **
**  written permission of Dialogic Corporation.                         **
**                                                                      **
*************************************************************************/
#ifndef _MONAPP_H_
#define _MONAPP_H_

#define MON_ENT            0x5f
#define MAXMONPKT          272
#define MAXMONDATA         272
#define MAXMONRXDATA       2048
#define FILLER_COUNT        8
#define MON_MAGIC          0x214d4f4e

/* The following structures are used as templates laid over the data area of the MONPKT */
/*******************************************************************************************/
typedef struct                          /* Bind Request */
{
    U32     monId;
    U8      msgType;
    U8      srcEnt;
    U8      srcInst;
    U8      spare1;
} BindReq;

typedef struct                          /* Bind Request */
{
    U32     monId;
    U8      msgType;
    U8      spare1;
    U16     spare2;
} UnBindReq;


/*******************************************************************************************/
typedef struct                          /* Data Indication - Header part */
{
    U32     monId;
    U8      msgType;
    U8      spare1;
    U16     spare2;
} DatIndHeader;

typedef struct                          /* Data Indication - Message part */
{
    U16     dataLen;
    U8      linkNum;
    U8      numSpare;
    U32     secs;
    U16     msecs;
    U16     spare1;
    U8      data[MAXMONRXDATA];
} DatIndMsg;


/*******************************************************************************************/
/* -----------------10/2/97 2:47PM-------------------
 * MON Message Types
 * --------------------------------------------------*/
#define MON_BIND_REQ       0x01            /* Bind request */
#define MON_UNBIND_REQ     0x02            /* Unbind request */
#define MON_DATA_IND       0x03            /* Data indication */


typedef struct   {
    CPIHDR              hdr;
    unsigned short      start;
    unsigned short      end;
} MONHDR;

typedef struct
{
    MONHDR              hdr;
    U8                  filler[FILLER_COUNT];
    union
    {
        BindReq         bindReq;
        UnBindReq       uBindReq;
    } data;
} MONTXPKT;

typedef struct
{
    MONHDR             hdr;
    unsigned char      data[MAXMONRXDATA];
} MONRXPKT;

#define HDRSIZE             FILLER_COUNT + sizeof(MONHDR)
#define ENDSIZE             FILLER_COUNT


#define     SIO_MGMT_MSG    0x00
#define     SIO_TEST_MSG    0x01
#define     SLTM_PKT        0x11
#define     SLTA_PKT        0x21
#define     COO_PKT         0x11
#define     COA_PKT         0x21
#define     SLTM_LEN        3

typedef struct
    {
    U8      sio;
    U8      dpc[3];
    U8      opc[3];
    U8      sls;
    U8      sltype;
    U8      length;                     /* top 4 bits used */
    U8      pattern[15];
    } pktSLT;

#endif  /* _MONAPP_H_ */
